%define real	jaxen
%define name	%{real}-bootstrap
%define version	1.0
%define release	1jpp
%define section	free

Name:		%{name}
Version:	%{version}
Release:	%{release}
Epoch:		0
Summary:        A convenience package for build of dom4j
License:        Open Source
Url:            http://jaxen.sourceforge.net/
Group:          Development/Libraries/Java
Vendor:         JPackage Project
Distribution:	JPackage
Source0:        http://prdownloads.sourceforge.net/jaxen/jaxen-%{version}-FCS.tar.gz
Source1:        http://prdownloads.sourceforge.net/dom4j/dom4j-1.4.tar.gz
Patch0:         dom4j-xpp2.1.10.patch
BuildRequires:  ant >= 0:1.5.4, jpackage-utils >= 0:1.5.32
BuildRequires:	jdom
BuildRequires:	saxpath
BuildRequires:	xalan-j2
BuildRequires:	xerces-j2
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-buildroot

%description
Dom4j depends on a jaxen build with dom4j support.
This package must only be installed in the rare
event of having to rebuild dom4j.

%prep
rm -rf $RPM_BUILD_ROOT
%setup -q -n %{real}-%{version}-FCS
/bin/gzip -dc %{SOURCE1} | tar -xf -
find . -name "*.jar" -exec rm -f {} \;
# cp %{SOURCE2} build.xml
(cd dom4j-1.4; patch -p0 < %{PATCH0})

mkdir -p src/conf
cat >> src/conf/MANIFEST.MF << EOF
Manifest-Version: 1.0
Created-By: Ant 1.5
EOF

%build
export CLASSPATH=$(build-classpath \
jdom \
saxpath \
xalan-j2 \
xerces-j2 \
)
pushd dom4j-1.4/src/java
javac -sourcepath ../../../src/java/main:. \
	org/dom4j/Attribute.java \
	org/dom4j/Branch.java \
	org/dom4j/CDATA.java \
	org/dom4j/Comment.java \
	org/dom4j/Document.java \
	org/dom4j/DocumentException.java \
	org/dom4j/Element.java \
	org/dom4j/Namespace.java \
	org/dom4j/Node.java \
	org/dom4j/ProcessingInstruction.java \
	org/dom4j/Text.java \
	org/dom4j/io/SAXReader.java
popd
CLASSPATH=$CLASSPATH:dom4j-1.4/src/java
ant jar.full

%install
install -d -m 755 $RPM_BUILD_ROOT%{_javadir}
install -m 644 build/%{real}-full.jar \
$RPM_BUILD_ROOT%{_javadir}/%{name}-%{version}.jar

(cd $RPM_BUILD_ROOT%{_javadir} && for jar in *-%{version}*; do \
ln -sf ${jar} ${jar/-%{version}/}; done)

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(0644,root,root,0755)
%{_javadir}/*

%changelog
* Mon Jan 19 2004 Ralph Apel <r.apel@r-apel.de> 0:1.0-1jpp
- release
